# Support

At the heart of Material for MkDocs is an open and supportive community dedicated
to freely sharing knowledge and insights. We strive to offer support to this
community, balancing our development efforts with the need to address community
questions effectively.

In order to streamline communication and direct you to the most appropriate
support channel, we've outlined our support structure below.

## Sponsoring support

If you have questions about Insiders or are considering becoming a sponsor,
@katharinalisalin is here to help. She handles all non-technical
sponsorship-related inquiries and is happy to provide the guidance you need.
Feel free to contact her at sponsors@squidfunk.com.

## Technical support

We are committed to providing technical support, ensuring all interactions
remain transparent and accessible. Our primary channels for technical inquiries,
therefore, are [our discussion board] and [our issue tracker] which are open to
the entire community.

  [our discussion board]: #discussion-board
  [our issue tracker]: #issue-tracker


### Discussion board

Our [discussion board] serves as the primary point of contact for technical
discussions, supported by both our community and our [Community Experts]. We
encourage searching the board for existing answers before posting new questions.

Direct support, particularly for core feature-related queries, is actively
provided here, whereas customization tips are often sourced from and shared by
our amazing community.

  [Community Experts]: insiders/community-experts-program/index.md
  [discussion board]: https://github.com/squidfunk/mkdocs-material/discussions

### Issue Tracker

For [reporting bugs] or submitting [change requests], our [issue tracker] offers
a transparent platform for community contributions. We encourage reporting bugs
found in the Insiders edition and in the community edition with the help of [our
contributing guides] through the public [issue tracker], mindful of not
disclosing the private Insiders' source code in line with our [fair use
policy].

This transparent approach ensures that solutions can benefit the entire
community and feature requests can get upvoted by the community which will
affect the speed of its development.

  [reporting bugs]: contributing/reporting-a-bug.md
  [change requests]: contributing/requesting-a-change.md
  [our contributing guides]: ./contributing/index.md
  [issue tracker]: https://github.com/squidfunk/mkdocs-material/issues
  [public issue tracker]: https://github.com/squidfunk/mkdocs-material/issues
  [fair use policy]: ./insiders/license.md/#fair-use-policy

### Prioritized support

Organizational sponsors at "The Organization" tier or higher are entitled to
prioritized bug support. While we cannot guarantee immediate resolution, as
some problems are harder to fix than others, it ensures that your issues are
addressed with urgency.
